Bug 1274586 - Stylus works on login screen, but not normally.
Stylus works on login screen, but not normally.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-wacom (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-23 00:56 EDT by Bruno de Souza Lino
Modified: 2016-05-05 00:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-05 00:45:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno de Souza Lino 2015-10-23 00:56:20 EDT
Description of problem:

I installed the wacom drivers for my distro, plugged my tablet (Wacom Bamboo MTE-450), it worked for a while, then it stopped working. The tablet buttons and hovering the stylus on top of the tablet surface work, but not tapping on the surface or drawing on it. The weird thing is that the tablet accepts input during the login screen. The tablet also register one 'click' action if I press the stylus on the surface and let go after I plug and  unplug the tablet.



Version-Release number of selected component (if applicable):
None

How reproducible:
Consistent.

Steps to Reproduce:
1. Plug your tablet and try to draw or click with it.

Actual results:
Tablet stylus doesn't respond to click or drawing actions on both ends.

Expected results:
Tablet stylus should react to tapping and drawing on both ends.

Additional info:
The issues seems to not be related to kernel version at all (tested with kernels 4.0.4 and 4.2.3. Both have the same problem)
Comment 1 Peter Hutterer 2015-10-26 03:34:10 EDT
huh, weird. the tablet shouldn't even work during the login screen, we don't have tablet support in libinput yet. are we talking about gdm here?


do you see anything in dmesg when it stops working?
Comment 2 Peter Hutterer 2016-05-05 00:45:07 EDT
In needinfo for many moons, closing. Please re-open when the requested data has been supplied, thanks.

Note You need to log in before you can comment on or make changes to this bug.